/*
 * substitution.sql
 * Appendix I, Oracle Database XE PHP Web Programming
 * by Michael McLaughlin
 *
 * This script demonstrates a Hello World program using
 * substitution in the DECLARE block of an anonymous block
 * PL/SQL program.
 */

-- Unremark for debugging script.
SET PAGESIZE 999
SET SERVEROUTPUT ON SIZE 1000000

DECLARE

  my_var VARCHAR2(30) := '&input';

BEGIN

  dbms_output.put_line('Hello '|| my_var );

END;
/
